import Vue from 'vue';
import Router from 'vue-router';
import tab from 'components/tab';
import Login from  '@/pages/login/Login';
import Layout from  '@/pages/layout/Layout';
Vue.use(Router)

const router = new Router({
  // mode: 'history',
  // base: process.env.BASE_URL,
  routes: [
    {
      path: '/login',
      name:'login',
      component: Login,
    },
    {
      path: '/',
      name:'layout',
      component: Layout,
      redirect: '/login',
      hidden: true
    },
    {
      path: '/soundBox',
      component: Layout,
      children: [{
        path: 'index',
        name:'xyyf-soundBox',
        meta: { title: '学有义方-音箱', url: '/soundBox/index' },
        component: () => import('@/pages/xyyf/SoundBox'),
      }]
    },
    {
      path: '/adaline',
      component: Layout,
      children: [{
        path: 'index',
        name:'xyyf-adaline',
        meta: { title: '学有义方-学习机', url: '/adaline/index' },
        component: () => import('@/pages/xyyf/Adaline'),
      }]
    },
    {
      path: '/appStore',
      component: Layout,
      children: [{
        path: 'index',
        name:'xyyf-appStore',
        meta: { title: '学有义方-APPStore', url: '/appStore/index' },
        component: () => import('@/pages/xyyf/AppStore'),
      }]
    },







    {
      path: '/order',
      component: Layout,
      children: [{
        path: 'index',
        name:'Order',
        meta: { title: 'TV-联运', url: '/order/index' },
        component: () => import('@/pages/order/Order'),
      }]
    },
    {
      path: '/skill',
      component: Layout,
      children: [{
        path: 'index',
        name:'Skill',
        meta: { title: '技能相关', url: '/skill/index' },
        component: () => import('@/pages/skill/Skill'),
      },
      {
        path: 'yey',
        name:'Skill-yey',
        meta: { title: '爱上幼儿园', url: '/skill/yey' },
        component: () => import('@/pages/skill/yey'),
      },
      {
        path: 'xqb',
        name:'Skill-xqb',
        meta: { title: '学前领先班', url: '/skill/xqb' },
        component: () => import('@/pages/skill/xqb'),
      },
      {
        path: 'xxms',
        name:'Skill-xxms',
        meta: { title: '小学名师优课', url: '/skill/xxms' },
        component: () => import('@/pages/skill/xxms'),
      },
      ]
    },
    {
      path: '/tv',
      component: Layout,
      children: [{
        path: 'index',
        name:'Tv',
        meta: { title: 'tv8.0', url: '/tv/index' },
        component: () => import('@/pages/tv/TV'),
      }]
    },
    {
      path: '/mobile',
      component: Layout,
      children: [{
        path: 'index',
        name:'mobile',
        meta: { title: 'Mobile 8.0', url: '/mobile/index' },
        component: () => import('@/pages/mobile/Mobile'),
      }]
    },
    {
      path: '/oppo',
      component: Layout,
      children: [{
        path: 'index',
        name:'oppo',
        meta: { title: 'tv8.0', url: '/oppo/index' },
        component: () => import('@/pages/oppo/xxtbfd'),
      }]
    },
    {
      path: '/baidu',
      component: Layout,
      children: [{
        path: 'index',
        name:'baidu',
        meta: { title: 'tv8.0', url: '/baidu/index' },
        component: () => import('@/pages/baidu/Skill'),
      }]
    },
    // {
    //   path: '/course',
    //   component: Layout,
    //   children: [{
    //     path: 'index',
    //     name:'Course',
    //     meta: { title: '课程管理', url: '/course/index' },
    //     component: () => import('@/pages/course/Course'),
    //   }]
    // },
    // {
    //   path: '/relation',
    //   component: Layout,
    //   children: [{
    //     path: 'index',
    //     name:'Relation',
    //     meta: { title: '渠道课程管理', url: '/relation/index' },
    //     component: () => import('@/pages/relation/Relation'),
    //   }]
    // },

    // {
    //   path: '/operation',
    //   component: Layout,
    //   children: [{
    //     path: 'index',
    //     name:'Operation',
    //     meta: { title: '渠道课程管理', url: '/operation/index' },
    //     component: () => import('@/pages/operation/Operation'),
    //   }]
    // }
  ]
})

export default router
