import {
  getOppoData,
} from '../../api/oppo'

const oppo = {
  state: {
    oppoData: [],
  },
  mutations: {
    GET_OPPO_DATA: (state, data) => {
      state.oppoData = data
    }
  },
  actions: {
    // 清空数据
    clearList({
      dispatch,
      commit
    }) {
      commit('GET_OPPO_DATA', [])
    },
    getOppoData({
      dispatch,
      commit
    }, data) {
      return new Promise((resolve, reject) => {
        getOppoData(data).then(res => {
          console.log(res.data)
          if (res.code == 200) {
            resolve(res.data);
            commit('GET_OPPO_DATA', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
  }
}

export default oppo
