import { getRelationList, addRelationList, removeRelationList} from '@/api/relation'

const relation = {
  state: {
    relationList: {}
  },
  mutations: {
    GET_RELATION_LIST(state, data) {
      state.relationList = data;
    }
  },
  actions: {
    getRelationList({ commit }, params) {
      return new Promise((resolve, reject) => {
        getRelationList(params).then( res => {
          if(res.code == 200) {
            commit('GET_RELATION_LIST', res.data);
            resolve(res.data);
          }
        }).catch( error => {
          reject(error)
        })
      })
    },
    addRelationList ({ dispatch, commit }, {data, params}) {
      return new Promise((resolve, reject) => {
        addRelationList(data).then( res => {
          if(res.code == 200) {
            dispatch('getRelationList', params)
            resolve(res);
          }
        }).catch( error => {
          reject(error)
        })
      })
    },
    removeRelationList ({ dispatch, commit }, {data, params}) {
      return new Promise((resolve, reject) => {
        removeRelationList(data).then( res => {
          if(res.code == 200) {
            dispatch('getRelationList', params)
            resolve(res);
          }
        }).catch( error => {
          reject(error)
        })
      })
    }
  }
}
export default relation;
