import {
  getSkillList,
  getXyyfMobileList,
  getSkillData,
  getOppoData,
  getBaiduData,
  getAliData,
  getXyyfData,
  getMiFengData,
} from '../../api/skill'

const skill = {
  state: {
    skillList: [],
    skillData: [],
  },
  mutations: {
    GET_SKILL_LIST: (state, data) => {
      state.skillList = data
    },
    GET_SKILL_DATA: (state, data) => {
      state.skillData = data
    },
  },
  actions: {
    // 获取技能信息
    getSkillList({
      dispatch,
      commit
    }, code) {
      return new Promise((resolve, reject) => {
        getSkillList(code).then(res => {
          console.log(3333333, res.data)
          if (res.code == 200) {
            // if (code === 'XYYF') {
            //   res.data.unshift({
            //     title: "全部",
            //     id: 100
            //   })
            // }
            resolve(res.data);
            commit('GET_SKILL_LIST', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
    // 获取学有义方渠道号
    getXyyfMobileList({
      dispatch,
      commit
    }) {
      return new Promise((resolve, reject) => {
        getXyyfMobileList().then(res => {
          console.log(3333333, res.data)
          if (res.code == 200) {
            resolve(res.data);
            commit('GET_SKILL_LIST', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
    // 清空数据
    clearList({
      dispatch,
      commit
    }) {
      commit('GET_SKILL_DATA', [])
    },
    getXyyfData({
      dispatch,
      commit
    },data) {
      return new Promise((resolve, reject) => {
        console.log(data)
        getXyyfData({
          channel: data.skillId,
          endDate: data.endDate,
          startDate: data.startDate
        }).then(res => {
          console.log(res.data)
          if (res.code == 200) {
            resolve(res.data);
            commit('GET_SKILL_DATA', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
    getSkillData({
      dispatch,
      commit
    }, data) {
      return new Promise((resolve, reject) => {
        getSkillData(data).then(res => {
          console.log(res.data)
          if (res.code == 200) {
            resolve(res.data);
            commit('GET_SKILL_DATA', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
    getOppoData({
      dispatch,
      commit
    }, data) {
      return new Promise((resolve, reject) => {
        getOppoData(data).then(res => {
          console.log(res.data)
          if (res.code == 200) {
            resolve(res.data);
            commit('GET_OPPO_DATA', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
    getAliData({commit}, data) {
      return new Promise((resolve, reject) => {
        getAliData(data).then(res => {
          console.log(res.data)
          if (res.code == 200) {
            resolve(res.data);
            commit('GET_SKILL_DATA', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
    getMiFengData({commit}, data) {
      return new Promise((resolve, reject) => {
        getMiFengData({
          channelCode: data.channelCode,
          packageId: data.packageId,
          endDate: data.endDate,
          startDate: data.startDate
        }).then(res => {
          console.log(res.data)
          if (res.code == 200) {
            resolve(res.data);
            commit('GET_SKILL_DATA', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
    getBaiduData({
      commit
    },data) {
      return new Promise((resolve, reject) => {
        getBaiduData(data).then(res => {
          console.log(res.data)
          if (res.code == 200) {
            resolve(res.data);
            commit('GET_SKILL_DATA', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    }
  }
}

export default skill
